Skip to main content
Use the email templates API to create and manage sales email templates in your HubSpot account. Sales email templates are reusable email layouts that your team can use to send consistent, personalized emails to contacts.

Create an email template

To create a new email template, make a POST request to /automation/email-templates/2026-09-beta/. In your request body, include the template’s name and body, and optionally include the email’s subject and folderId. For example, the request body will resemble the following:
The response will include the template’s details, including the template’s unique id and other metadata.

Retrieve email templates

You can retrieve all email templates or a specific template by its ID.

Retrieve all email templates

To retrieve a list of all email templates, make a GET request to /automation/email-templates/2026-09-beta/. You can include the following query parameters in your request URL: For example, to retrieve 50 email templates, your request URL would be GET /automation/email-templates/2026-09-beta?limit=50. The code block below provides an example response, highlighting the after property, under the paging object, used as a cursor to retrieve the next page of results (e.g., /automation/email-templates/2026-09-beta?limit=50&after={after}).

Retrieve a specific email template

To retrieve a specific email template, make a GET request to /automation/email-templates/2026-09-beta/{templateId}. Use the template’s id as the templateId path parameter. For example, to retrieve a template with ID 987654321, make a GET request to /automation/email-templates/2026-09-beta/987654321. The response would resemble the following:

Update an email template

To update an existing email template, make a PATCH request to /automation/email-templates/2026-09-beta/{templateId}. Use the template’s id as the templateId path parameter. In the request body, include the fields you want to update. For example, to update a template’s name and subject, the request body would resemble the following:
The response will include the updated template details:

Retrieve folders

Folders are used to organize email templates in your HubSpot account. To retrieve a list of all folders, make a GET request to /automation/email-templates/2026-09-beta/folders. You can include the following query parameters in your request URL: For example, to retrieve a list of folders and limit the results to 50 entries, your request URL would be GET /automation/email-templates/2026-09-beta/folders?limit=50. The response will resemble the following:
Last modified on August 3, 2026